Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 823343

Summary: Review Request: rubygem-net-ssh-multi - control multiple net::ssh connections via a single interface
Product: [Fedora] Fedora Reporter: Jonas Courteau <rpms>
Component: Package ReviewAssignee: Josef Stribny <jstribny>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: hhorak, jdunn, jstribny, notting, package-review, tdawson
Target Milestone: ---Flags: jstribny: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-02 04:31:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 724046, 845305    
Bug Blocks: 823352    

Description Jonas Courteau 2012-05-21 00:30:59 UTC
Spec URL:  https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-net-ssh-multi/rubygem-net-ssh-multi.spec
SRPM URL:  http://rpms.courteau.org/fedora/rubygem-net-ssh-multi-1.1-1.fc17.src.rpm

Description: Control multiple Net::SSH connections via a single interface.

This is part of a set of dependencies for rubygem-chef.  I've got about 14 packages to add, all ruby gems, and am looking for a sponsor.  Several of the packages were previously in Fedora (F11 and F12), but were removed due to lack of a maintainer.

Comment 1 Julian C. Dunn 2012-12-28 04:30:04 UTC
Blocked by bug #845305. Tests won't pass under Rawhide's minitest-4.2.0 until mocha is upgraded to at least 0.12.2

Comment 2 Julian C. Dunn 2013-01-03 18:12:11 UTC
Here is a revised SPEC and SRPM for review. I have unified the build on Fedora and EPEL6.

http://jdunn.fedorapeople.org/rubygem-net-ssh-multi/rubygem-net-ssh-multi.spec
http://jdunn.fedorapeople.org/rubygem-net-ssh-multi/rubygem-net-ssh-multi-1.1-2.fc19.src.rpm

Comment 3 Josef Stribny 2013-01-23 12:38:34 UTC
Hi, the spec file looks good, rpmlint gives me no errors and it builds both in mock and koji [1] so I am APPROVING the package.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=4896446

Comment 4 Julian C. Dunn 2013-01-23 16:12:04 UTC
New Package SCM Request
=======================
Package Name: rubygem-net-ssh-multi
Short Description: Control multiple Net::SSH connections via a single interface
Owners: jdunn
Branches: f17 f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-01-23 16:25:07 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-01-23 19:58:11 UTC
rubygem-net-ssh-multi-1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-net-ssh-multi-1.1-2.fc18

Comment 7 Fedora Update System 2013-01-23 19:59:09 UTC
rubygem-net-ssh-multi-1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-net-ssh-multi-1.1-2.fc17

Comment 8 Fedora Update System 2013-01-24 21:50:42 UTC
rubygem-net-ssh-multi-1.1-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2013-02-02 04:31:44 UTC
rubygem-net-ssh-multi-1.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 10 Fedora Update System 2013-02-02 04:32:46 UTC
rubygem-net-ssh-multi-1.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Troy Dawson 2014-08-11 22:25:05 UTC
Package Change Request
======================
Package Name: rubygem-net-ssh-multi
New Branches: epel7
Owners: tdawson

Comment 12 Gwyn Ciesla 2014-08-12 12:06:25 UTC
Git done (by process-git-requests).